<?php
/**
 * @file show-author.tpl.php 
 *  Display articles of this author
 * 
 * @param $journal
 *  object with the journal data
 * @param $tid
 *  current id of the authors' vocabulary
 * @param $char
 *  character to start listing with
 * @param $rows
 *  array of values, having these keys:
 *    tid : taxonomy term id
 *    multiple: if the name (looked up by name, not by tid) matches more terms, this contains number of matches (eg. you have two authors with the same name John McDonald, each has different tid)
 *    link: html link prepared for your conveniece
 *    see: the taxonomy term's other name, eg. you have term "mobile" and its references "mobile phones", "mobile telephones" (the last two will in their own separate arrays, their names in the see key)
 * @see template_preprocess_browse_authors() in the ejournalauthors.module
 *
 */
?>

<?php if(!$authors): ?>
  <?php print theme('ejournal_taxonomy_term_page', $journal, $tid);?>
  <?php return; ?>
<?php endif; ?>

<?php print $pager; ?>
                                                                                                                                                                                                                                                                                  
<div class="ejournal-archive">
  <?php foreach ($authors as $author):?>
    <?php if($author['profile']): ?>
    <?php print $author['profile']; ?>
    <hr/>
    <?php endif; ?>
    <?php foreach ($author['issues'] as $issue):?>
      <div>
      <?php print $issue['html'] ?>
      <?php foreach ($issue['articles'] as $article):?>
        <?php print $article['link'] ?>
      <? endforeach; ?>
      </div>      
    <? endforeach; ?>
  <? endforeach; ?>
</div>

<?php print $pager; ?>
