<?php
/**
 * @file list-vocabularies.tpl.php 
 *  Lists the browseable dictionaries
 * 
 * @param $journal
 *  object with the journal data
 * @param $vocabularies
 *  array of values, having these keys:
 *    vid : vocabulary id
 *    name: name of the voc
 *    link: html link prepared for your conveniece
 *    description: well, description
 * @see template_preprocess_list_vocabularies()
 *
 */
?>

<div class="ejournal-terms-list">
  <?php foreach ($vocabularies as $row):?>
    <h3><?php print $row['link'];?></h3>
    <p><?php print $row['description'];?></p>
  <? endforeach; ?>
</div>


